Subject: Re: linux-next: manual merge of the char-misc tree with Linus' tree

From: Manivannan Sadhasivam <[email-masked]>
Date: Fri, 27 Aug 2021 23:28:52 +0530

Hi Greg,

On Fri, Aug 27, 2021 at 03:12:02PM +0200, Greg KH wrote:
> On Fri, Aug 27, 2021 at 04:49:04PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the char-misc tree got conflicts in:
> > 
> >   drivers/bus/mhi/core/main.c
> >   net/qrtr/mhi.c
> > 
> > between commit:
> > 
> >   9ebc2758d0bb ("Revert "net: really fix the build..."")
> > 
> > from the origin tree and commit:
> > 
> >   0092a1e3f763 ("bus: mhi: Add inbound buffers allocation flag")
> > 
> > from the char-misc tree.
> > 
> > I fixed it up (the commit in Linus' tree is basically a revert of the
> > char-misc tree, so I effectively reverted the latter) and can carry the
> > fix as necessary. This is now fixed as far as linux-next is concerned,
> > but any non trivial conflicts should be mentioned to your upstream
> > maintainer when your tree is submitted for merging.  You may also want
> > to consider cooperating with the maintainer of the conflicting tree to
> > minimise any particularly complex conflicts.
> 
> Hm, what should I do in my tree here?
> 
> Kalle, what commit should I make in the char-misc tree now to handle
> this issue, and make the merge with Linus's tree "simple"?  Or any other
> ideas?
> 

For making the merge simpler, I'd suggest we revert below commit in char-misc:

0092a1e3f763 ("bus: mhi: Add inbound buffers allocation flag")

Thanks,
Mani

> thanks,
> greg k-h